--- clutter/clutter-backend.c.orig	2015-12-11 07:53:24.000000000 -0800
+++ clutter/clutter-backend.c	2015-12-17 08:43:49.000000000 -0800
@@ -618,6 +618,14 @@
   if (input_backend != NULL)
     input_backend = g_intern_string (input_backend);
 
+#ifdef CLUTTER_INPUT_X11
+  if (clutter_check_windowing_backend (CLUTTER_WINDOWING_X11) &&
+      (input_backend == NULL || input_backend == I_(CLUTTER_INPUT_X11)))
+    {
+      _clutter_backend_x11_events_init (backend);
+    }
+  else
+#endif
 #ifdef CLUTTER_INPUT_OSX
   if (clutter_check_windowing_backend (CLUTTER_WINDOWING_OSX) &&
       (input_backend == NULL || input_backend == I_(CLUTTER_INPUT_OSX)))
@@ -634,14 +642,6 @@
     }
   else
 #endif
-#ifdef CLUTTER_INPUT_X11
-  if (clutter_check_windowing_backend (CLUTTER_WINDOWING_X11) &&
-      (input_backend == NULL || input_backend == I_(CLUTTER_INPUT_X11)))
-    {
-      _clutter_backend_x11_events_init (backend);
-    }
-  else
-#endif
 #ifdef CLUTTER_INPUT_GDK
   if (clutter_check_windowing_backend (CLUTTER_WINDOWING_GDK) &&
       (input_backend == NULL || input_backend == I_(CLUTTER_INPUT_GDK)))
